#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.10.5.2
visibility:           public
id:                   skylighting-core-0.10.5.2-LEYkwQlzMUn3FYP2niJpRN
key:                  skylighting-core-0.10.5.2-LEYkwQlzMUn3FYP2niJpRN
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  747a1bd49b5d360527e999d784337ad9
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Format.ANSI Skylighting.Format.HTML
    Skylighting.Format.LaTeX Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-9.0.1/site-local/skylighting-core-0.10.5.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/skylighting-core-0.10.5.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/skylighting-core-0.10.5.2
hs-libraries:         HSskylighting-core-0.10.5.2-LEYkwQlzMUn3FYP2niJpRN
depends:
    aeson-1.5.6.0-BNspgXAzKp6CkIs2quQxij
    ansi-terminal-0.11-GzCyMGIeYlsKFtLmEW08CD
    attoparsec-0.14.1-K3GEu9KsQZ4BOtaACmx2c3 base-4.15.0.0
    base64-bytestring-1.2.0.1-CtEMJytMRvxImsCsB8sCpa binary-0.8.8.0
    blaze-html-0.9.1.2-9kaLn1s8Miv60gMIEFPbsP bytestring-0.10.12.1
    case-insensitive-1.2.1.0-C62erXxWyCP2CSc0oj6vPA
    colour-2.3.5-FQUZdDtuJgB1QqvsidKTKg containers-0.6.4.1
    directory-1.3.6.1 filepath-1.4.2.1 mtl-2.2.2
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj text-1.2.4.1
    transformers-0.5.6.2 utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    xml-conduit-1.9.1.1-HVpydxfs4Rz4Y2nEaVhhlw

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

